aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--CHANGES3
-rwxr-xr-xexamples/start-tmux.sh10
2 files changed, 12 insertions, 1 deletions
diff --git a/CHANGES b/CHANGES
index a3db3f90..a43bb656 100644
--- a/CHANGES
+++ b/CHANGES
@@ -1,5 +1,6 @@
04 October 2007
+* (mxey) Added my tmux start script as an example (examples/start-tmux.sh)
* (mxey) New sessions can now be given a command for their first window
* (mxey) Fixed usage statemnt for new-window
* (nicm) attach-session (can't believe I forgot it until now!) and list-windows
@@ -114,5 +115,5 @@
(including mutt, emacs). No status bar yet and no key remapping or other
customisation.
-$Id: CHANGES,v 1.33 2007-10-04 13:43:14 mxey Exp $
+$Id: CHANGES,v 1.34 2007-10-04 14:14:12 mxey Exp $
diff --git a/examples/start-tmux.sh b/examples/start-tmux.sh
new file mode 100755
index 00000000..ee21057c
--- /dev/null
+++ b/examples/start-tmux.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+tmux attach
+if [[ $? = 1 ]]; then
+ tmux new-session -d -nmain 'exec irssi'
+ tmux -smain set prefix '^H'
+ tmux -smain new-window -d -nherrie 'exec sudo herrie -c /home/mxey/etc/herrie/config'
+ tmux -smain new-window -d 'exec lynx'
+ exec tmux -smain attach
+fi